﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Text;

namespace HeuristicLab.Services.ProblemInstances {
  public class Auxiliary {
    public static string GetSHA1Hash(string text) {
      var SHA1 = new System.Security.Cryptography.SHA1CryptoServiceProvider();

      byte[] arrayData;
      byte[] arrayResult;
      string result = null;
      string temp = null;

      arrayData = Encoding.ASCII.GetBytes(text);
      arrayResult = SHA1.ComputeHash(arrayData);
      for (int i = 0; i < arrayResult.Length; i++) {
        temp = Convert.ToString(arrayResult[i], 16);
        if (temp.Length == 1)
          temp = "0" + temp;
        result += temp;
      }
      return result;
    }
  }
}